Create an Azure AI studio inference endpoint

Auth

Create an inference endpoint to perform an inference task with the azureaistudio service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: completion text_embedding
azureaistudio_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, azureaistudio.

Values: azureaistudio
service_settings object required

Settings used to install the inference model. These settings are specific to the openai service.

api_key string required

A valid API key of your Azure AI Studio model deployment. This key can be found on the overview page for your deployment in the management section of your Azure AI Studio account.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

endpoint_type string required

The type of endpoint that is available for deployment through Azure AI Studio: token or realtime. The token endpoint type is for "pay as you go" endpoints that are billed per token. The realtime endpoint type is for "real-time" endpoints that are billed per hour of usage.

target string required

The target URL of your Azure AI Studio model deployment. This can be found on the overview page for your deployment in the management section of your Azure AI Studio account.

provider string required

The model provider for your deployment. Note that some providers may support only certain task types. Supported providers include:

  • cohere - available for text_embedding, rerank and completion task types
  • databricks - available for completion task type only
  • meta - available for completion task type only
  • microsoft_phi - available for completion task type only
  • mistral - available for completion task type only
  • openai - available for text_embedding and completion task types

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding completion